UbuntuUpdates.org

Package "cups"

Name: cups

Description:

Common UNIX Printing System(tm) - PPD/driver support, web interface

Latest version: 2.2.7-1ubuntu2.1
Release: bionic (18.04)
Level: security
Repository: main
Homepage: https://www.cups.org/

Links

Save this URL for the latest version of "cups": https://www.ubuntuupdates.org/cups


Download "cups"


Other versions of "cups" in Bionic

Repository Area Version
base main 2.2.7-1ubuntu2
updates main 2.2.7-1ubuntu2.1

Packages in group

Deleted packages are displayed in grey.

cups-bsd cups-client cups-common cups-core-drivers cups-daemon
cups-ipp-utils cups-ppdc cups-server-common libcups2 libcups2-dev
libcupscgi1 libcupsimage2 libcupsimage2-dev libcupsmime1 libcupsppdc1

Changelog

Version: 2.2.7-1ubuntu2.1 2018-07-11 18:07:31 UTC

  cups (2.2.7-1ubuntu2.1) bionic-security; urgency=medium

  * SECURITY UPDATE: privilege escalation in dnssd backend
    - debian/patches/CVE-2018-418x.patch: don't allow PassEnv and SetEnv to
      override standard variables in man/cups-files.conf.man.in,
      man/cupsd.conf.man.in, scheduler/conf.c, test/run-stp-tests.sh.
    - CVE-2018-4180
  * SECURITY UPDATE: local file read via Include directive
    - debian/patches/CVE-2018-418x.patch: remove Include directive handling
      in scheduler/conf.c.
    - CVE-2018-4181
  * SECURITY UPDATE: AppArmor sandbox bypass
    - debian/local/apparmor-profile: also confine
      /usr/lib/cups/backend/mdns.
    - CVE-2018-6553

 -- Marc Deslauriers <email address hidden> Fri, 22 Jun 2018 13:36:08 -0400

CVE-2018-4180 Local Privilege Escalation to Root in dnssd Backend (CUPS_SERVERBIN)
CVE-2018-4181 Limited Local File Reads as Root via cupsd.conf Include Directive
CVE-2018-6553 AppArmor profile issue in cups



About   -   Send Feedback to @ubuntu_updates